Public Member Functions | Static Public Member Functions | List of all members
clan::D3DTarget Class Reference
clanD3D Display

Display target for clanDisplay. More...

`#include <d3d_target.h>`

Inheritance diagram for clan::D3DTarget:

## Public Member Functions
| D3DTarget ()
| ~D3DTarget ()
Public Member Functions inherited from clan::DisplayTarget
| DisplayTarget (DisplayTargetProvider *provider)
| Constructs a DisplayTarget. More...
virtual | ~DisplayTarget ()
DisplayTargetProvider * | get_provider ()
| Returns the provider for the display target. More...
bool | is_null () const
| Returns true if this object is invalid. More...
void | throw_if_null () const
| Throw an exception if this object is invalid. More...
void | set_current ()
| Set this display target to be the current target. More...

## Static Public Member Functions
static void | enable ()
static bool | is_current ()
static void | set_current ()
Attributes
static bool | is_current ()
| Returns true if this display target is the current target. More...
Operations
static void | enable ()
| Enable this target. More...
static ID3D11Texture2D * | get_texture2d_handle (const GraphicContext &gc, const Texture &texture)
| Returns the Direct3D handle used by the texture object. More...
static ID3D11Texture2D * | get_texture2d_handle (const GraphicContext &gc, const PixelBuffer &pixel_buffer)
| Returns the Direct3D handle used by the pixel buffer object. More...
static ID3D11Texture2D * | get_texture2d_handle (const GraphicContext &gc, const RenderBuffer &render_buffer)
| Returns the Direct3D handle used by the render buffer object. More...
static ID3D11Buffer * | get_buffer_handle (const GraphicContext &gc, const VertexArrayBuffer &buffer)
| Returns the Direct3D handle used by the buffer object. More...
static ID3D11Buffer * | get_buffer_handle (const GraphicContext &gc, const ElementArrayBuffer &buffer)
| Returns the Direct3D handle used by the buffer object. More...
static ID3D11Buffer * | get_buffer_handle (const GraphicContext &gc, const UniformBuffer &buffer)
| Returns the Direct3D handle used by the buffer object. More...
static ID3D11ShaderResourceView * | get_srv_handle (const GraphicContext &gc, const Texture &texture)
| Returns the Direct3D shader resource view handle used by the texture object. More...
static ID3D11Device * | get_device_handle (const GraphicContext &gc)
| Returns the Direct3D device handle used by the graphic context. More...
static ID3D11DeviceContext * | get_device_context_handle (const GraphicContext &gc)
| Returns the Direct3D device context handle used by the graphic context. More...
static IDXGISwapChain * | get_swap_chain_handle (const GraphicContext &gc)
| Returns the Direct3D swap chain handle used by the graphic context. More...
static ID3D11RenderTargetView * | get_back_buffer_rtv_handle (const GraphicContext &gc)
| Returns the Direct3D render target view for the swap chain back buffer. More...
static void | throw_if_failed (const char *text, HRESULT result)
| Throws an exception with the specified text if the passed result is an error condition. More...
static void | set_current ()
| Set this display target to be the current target. More...

## Implementation
class | SetupD3D_Impl
| D3DTarget ()
| Constructs a D3DTarget target. More...
| ~D3DTarget ()

## Detailed Description

Display target for clanDisplay.

## Constructor & Destructor Documentation

clan::D3DTarget::D3DTarget | ( |  | ) |
| inline

clan::D3DTarget::~D3DTarget | ( |  | ) |
| inline

## Member Function Documentation

static void clan::D3DTarget::enable | ( |  | ) |
| inline static

static bool clan::D3DTarget::is_current | ( |  | ) |
| inline static

static void clan::D3DTarget::set_current | ( |  | ) |
| inline static

The documentation for this class was generated from the following files:

- d3d_target.h
- d3d.h